package com.bwie.xxxxxx.controller;

import com.bwie.common.domain.Case;
import com.bwie.common.domain.CaseRequest;
import com.bwie.common.result.PageResult;
import com.bwie.common.result.Result;
import com.bwie.xxxxxx.service.CaseService;
import lombok.extern.log4j.Log4j2;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author Handsome boy
 * @Package com.bwie.xxxxxx.controller
 * @date 2023/12/8 20:21
 */
@RestController
@Log4j2
public class CaseController {
    final CaseService caseService;

    public CaseController(CaseService caseService) {
        this.caseService = caseService;
    }

    /**
     * 添加病例
     *
     * @param cases;
     */
    @PostMapping("/case")
    public Result<Object> insertCase(@RequestBody Case cases) {
        log.info(cases);
        return caseService.insertCase(cases);
    }


    /**
     * 删除病例
     *
     * @param caseId;
     */
    @DeleteMapping("/case/{caseId}")
    public Result<Object> deleteCase(@PathVariable Integer caseId) {
        return caseService.deleteCase(caseId);
    }


    /**
     * 修改病例
     *
     * @param cases;
     */
    @PutMapping("/case")
    public Result<Object> updateCase(@RequestBody Case cases) {
        return caseService.updateCase(cases);
    }


    /**
     * 查询病历表
     *
     * @return ;
     */
    @GetMapping("/case")
    public Result<PageResult<Case>> selCase(@RequestBody CaseRequest caseRequest) {
        System.out.println(caseRequest + "---------");
        return caseService.selCase(caseRequest);
    }


}
